psmisc (23.7-2ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:37:01 +0100

psmisc (23.7-2ubuntu1) questing; urgency=medium

  * d/t/version: don't look for peekfd if running on riscv64 (LP:#2105849)
  * d/rules: don't ship the peekfd manpage on systems where the binary is not
    built
  * d/p/comment-temporary-failing-tests.patch: Comment tests
    failing due to (LP: #2113983)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Fri, 13 Jun 2025 01:45:19 -0300

psmisc (23.7-2) unstable; urgency=medium

  * Update watch file Closes: #1069814

 -- Craig Small <csmall@debian.org>  Fri, 14 Feb 2025 20:14:05 +1100

psmisc (23.7-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Drop the Debian menu file, and stop shipping the pixmaps for it:
    - the Debian menu is deprecated for some years already
    - the menu items are for a terminal, and generally GUI environments have
      their own process listing application

  [ Craig Small ]
  * New upstream release
    - fuser: Fallback to stat() if no statx() Closes: 1030747
    - fuser: silently ignore EACCES when scanning proc directories
      Closes: #1063444
    - killall: small formatting fixes Closes: #1037231

 -- Craig Small <csmall@debian.org>  Sun, 03 Mar 2024 22:45:32 +1100

psmisc (23.6-2) unstable; urgency=medium

  * Install fuser into /usr (DEP17 M2) Closes: #1060359
    Thanks to Chris Hofstaedtler for the patch

 -- Craig Small <csmall@debian.org>  Sat, 13 Jan 2024 13:56:53 +1100

psmisc (23.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove unnecessary 'Testsuite: autopkgtest' header.

  [ Craig Small ]
  * New upstream source
  * Add more autopkgtest tests for killall and fuser
  * killall: Fallback to kill() Closes: #1015228

 -- Craig Small <csmall@debian.org>  Tue, 13 Dec 2022 16:27:51 +1100

psmisc (23.5-3) unstable; urgency=medium

  * killall: Add fall through for pidfd_send_signal Closes: #1015228
  * Update standards version to 4.6.1, no changes needed.

 -- Craig Small <csmall@debian.org>  Mon, 25 Jul 2022 19:21:16 +1000

psmisc (23.5-2) unstable; urgency=medium

  * Fix DEJAGNU workaround Closes: #1015089

 -- Craig Small <csmall@debian.org>  Sun, 17 Jul 2022 21:48:01 +1000

psmisc (23.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Strip unusual field spacing from debian/control.
  * Set Homepage field in Source rather than Binary package.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

  [ Craig Small ]
  * New upstream release

 -- Craig Small <csmall@debian.org>  Mon, 09 May 2022 21:09:28 +1000

psmisc (23.4-2) unstable; urgency=medium

  * replace/conflict with manpages-de Closes: #982059

 -- Craig Small <csmall@debian.org>  Mon, 08 Feb 2021 21:19:04 +1100

psmisc (23.4-1) unstable; urgency=medium

  * New upstream release
  * Update to standards 4.5.1 no change
  * Update to debhelper v13

 -- Craig Small <csmall@debian.org>  Sat, 06 Feb 2021 11:21:39 +1100

psmisc (23.3-1) unstable; urgency=medium

  * New upstream release
  * Handle truncated comm names Closes: #912748

 -- Craig Small <csmall@debian.org>  Tue, 12 Nov 2019 22:16:21 +1100

psmisc (23.2-3) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Add Vcs-* field

  [ Craig Small ]
  * Update to standards 4.4.1

 -- Craig Small <csmall@debian.org>  Fri, 18 Oct 2019 14:44:34 +1100


psmisc (23.2-1) unstable; urgency=medium

  [ Craig Small ]
  * New upstream release
  * killall: look at all namespaces by default
  * killall: proper signal name parsing
  * docs: Fix fuser.1 groff errors Closes: #900225
  * pslog: Define PATH_MAX if required Closes: #905797
  * Update to Debian standards 4.2.1


 -- Craig Small <csmall@debian.org>  Mon, 24 Sep 2018 20:07:51 +1000

psmisc (23.1-1) unstable; urgency=medium

  * New upstream source
  * killall: Remove debug output Closes: #864753
  * docs: distribute pslog.1
  * docs: distribute README.md Closes: #864752

 -- Craig Small <csmall@debian.org>  Fri, 16 Jun 2017 06:54:49 +1000

psmisc (23.0-1) unstable; urgency=medium

  * New upstream release
  * New program: pslog to see what logs are option
  * pstree: Removed need for PATH_MAX Closes: #750405
  * killall: Fix process age race condition Closes: #822861
  * prtstat: Remove duplicate options in man page Closes: #846387
  * killall: comm parser more robust
  * killall: only kill processes in same namespace by default

 -- Craig Small <csmall@debian.org>  Mon, 12 Jun 2017 11:46:48 +1000

psmisc (22.21-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Enable SELinux support on linux architectures (Closes: #751991)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 17 Aug 2015 15:18:05 +0200

psmisc (22.21-2) unstable; urgency=medium

  * Fixed fuser -M typo Closes: #740275 thanks Brad

 -- Craig Small <csmall@debian.org>  Fri, 28 Feb 2014 21:57:20 +1100

psmisc (22.21-1) unstable; urgency=medium

  * New upstream release
    - Missing comma in fuser(1) added Closes: #702391
    - pstree uses COLUMN env variable Closes: #717017
    - fuser -m and -M flags work either way Closes: #606178
  * Added Multi-Arch: foreign to control Closes: #698948
  * Updated to standards version 3.9.5, no changes

 -- Craig Small <csmall@debian.org>  Sun, 16 Feb 2014 22:25:22 +1100

psmisc (22.20-1) unstable; urgency=low

  * New upstream release
    - pstree sorts properly on names Closes: #682014
    - pstree finds pid 0 stops looping Closes: #687829

 -- Craig Small <csmall@debian.org>  Thu, 20 Sep 2012 22:19:44 +1000

psmisc (22.19-1) unstable; urgency=medium

  * Stop killall killing all Closes: #678357

 -- Craig Small <csmall@debian.org>  Fri, 22 Jun 2012 07:11:45 +1000

psmisc (22.18-1) unstable; urgency=low

  * New upstream release
   - assert in killall triggered for small lifetimes Closes: #628617
   - killall MAX_NAMES off by one Closes: #677428

 -- Craig Small <csmall@debian.org>  Sun, 17 Jun 2012 16:13:55 +1000

psmisc (22.17-2) unstable; urgency=low

  * Added line in configure.ac for target_os Closes: #673485

 -- Craig Small <csmall@debian.org>  Sun, 10 Jun 2012 17:39:03 +1000

psmisc (22.17-1) unstable; urgency=low

  * New upstream release
    - fuser uses correct timeout_stat define Closes: #661723
    - fuser is not compiled on hurd-i386 Closes: #673485


 -- Craig Small <csmall@debian.org>  Sat, 02 Jun 2012 16:09:01 +1000

psmisc (22.16-1) unstable; urgency=low

  * New upstream release
  * previous strcpy buffer fix broke long command matches
    this release fixes both Closes: #661145, #657543

 -- Craig Small <csmall@debian.org>  Sun, 26 Feb 2012 17:07:06 +1100

psmisc (22.15-2) unstable; urgency=low

  * Removed strcpy buffer overflow in pstree Closes: #657527

 -- Craig Small <csmall@debian.org>  Fri, 27 Jan 2012 08:53:36 +1100

psmisc (22.15-1) unstable; urgency=low

  * New upstream release
    - Use ENOENT not EBADE for FreeBSD Closes: #631566
    - Really apply fuser -s patch Closes: #606177
  * Don't install peekfd.1 on kfreebsd Closes: #609842
  * fuser: silence if read error is ENOENT Closes: #629048
  * Updated to debhelper compat 9
  * Changed copyright format to DEP-5

 -- Craig Small <csmall@debian.org>  Thu, 26 Jan 2012 18:21:05 +1100

psmisc (22.14-1) unstable; urgency=low

  * New upstream release, many fixes including:
      killall creates right size buffer instead of MAX_PATH Closes: #623425
      fuser understands IPv6 addresses, removed comment in fuser.1 that it
      doesn't Closes: #609904
  * Updated to standards 3.9.2 no change

 -- Craig Small <csmall@debian.org>  Mon, 20 Jun 2011 22:28:44 +1000

psmisc (22.13-1) unstable; urgency=low

  * New upstream release
    -  patch configure so pt_regs isn't used on SuperH. Fix by
       Nobuhiro Iwamatsu in Closes: #588986
    -  Cannot build peekfd on mips only mipsel, hopefully will unblock mips
       buildd
  * Updated to standards version 3.9.1, no changes

 -- Craig Small <csmall@debian.org>  Mon, 06 Sep 2010 13:35:21 +1000

psmisc (22.12-1) unstable; urgency=low

  * New upstream release
   - In fuser, switched the ipv6 and ipv4 checks around Closes: #581604
   - pstree -a doesn't segfault on grsec kernels Closes: #588152
  * Updated to standards version 3.9.0

 -- Craig Small <csmall@debian.org>  Mon, 12 Jul 2010 21:39:03 +1000

psmisc (22.11-1) unstable; urgency=low

  * New upstream release
    - Another attempted at killall -SIGNAME Closes: #573924

 -- Craig Small <csmall@debian.org>  Fri, 09 Apr 2010 21:24:58 +1000

psmisc (22.10-1) unstable; urgency=low

  * New upstream release
    - fuser -k -m ... won't kill itself Closes: #562767
    - fuser -NAME fixed Closes: #563388
    - Reversed normal file fuser -k check Closes: #563387

 -- Craig Small <csmall@debian.org>  Mon, 04 Jan 2010 21:43:16 +1100

psmisc (22.9-1) unstable; urgency=low

  * New upstream release
    - short option l returned in fuser Closes: #539087
    - long options terminated with 0s Closes: #551833
    - Fixed killall options for VTALRM and ILL Closes: #559011
    - pstree -a does not compact threads Closes: #525632
    - new program prtstat which prints contents of /proc/<pid>/stat
      Closes: #281706
    - killall restricts by date. Thanks to George Danchev Closes: #544657
    - New fuser -M option limits -m to top of mount points
  * Updated to standards version 3.8.3
  * Moved to debhelper compat 7 and simpler rules

 -- Craig Small <csmall@debian.org>  Sun, 27 Dec 2009 18:36:35 +1100

psmisc (22.8-1) unstable; urgency=low

  * New upstream release
   - fuser will print mounts,nfs exports and swaps with -v Closes: #356655
   - pstree and fuser have long options Closes: #517412
   - Fixed pstree -a off-by-one error in buffer, Closes: #536243

 -- Craig Small <csmall@debian.org>  Sat, 25 Jul 2009 09:40:01 +1000

psmisc (22.7-1) unstable; urgency=low

  * New upstream release
    - Changed fuser.1 so signal is SIGNAL to reduce confusion about wether
      or not it is a parameter Closes: #517413
    - fuser.1 references pkill(1) Closes: #517414
    - Clarified -m and -c for fuser Closes: #467289
    -  Patch from Arnaud Giersch to fix udp ports in fuser Closes: #502208
    - pstree man page mentions -Z may not be available Closes: #478327
    - pstree handles UTF-8 lengths much better Closes: #413503
    - killall says no process found when process not found Closes: #500097
    - pstree makes a bigger buffer for -al flags Closes: #352603
    - peekfd off by one problem in fds Closes: #460530
    - oldfuser removed Closes: #502212
  * Changed rules for for cross-build support Closes: #465226
  * Updated copyright file Closes: #517410
  * updated package description Closes: #485693

 -- Craig Small <csmall@debian.org>  Sun, 10 May 2009 16:13:36 +1000

psmisc (22.6-1) unstable; urgency=low

  * New upstream release
  *  killall.1 mentions you can use -SIGxxx Closes: #431082
  *  peekfd works for x86_64 and PPC
  * Updated menu entry

 -- Craig Small <csmall@debian.org>  Sun, 04 Nov 2007 17:42:30 +1100

psmisc (22.5-1) unstable; urgency=low

  * New upstream release

 -- Craig Small <csmall@debian.org>  Mon, 23 Apr 2007 22:14:16 +1000

psmisc (22.4-1) unstable; urgency=low

  * New upstream release
  *  fuser correctly parses remote TCP ports Closes: #397033
  *  Removed extra blank lines in fuser Closes: #386564
  *  Added peekfd
  *  killall using a path doesnt check inodes

 -- Craig Small <csmall@debian.org>  Tue, 17 Apr 2007 22:09:11 +1000

psmisc (22.3-1) unstable; urgency=low

  * New upstream release
  *   Typo fixed in fuser man page Closes: #358880
  *   Return code set correctly in silent mode Closes: #361639
  * Updated standards to 3.7.2

 -- Craig Small <csmall@debian.org>  Wed,  9 Aug 2006 21:34:49 +1000

psmisc (22.2-1) unstable; urgency=low

  * New upstream release
  *  Finds unix sockets on all arches, Closes: #338868
  *  Swedish PO file updated Closes: #348140
  * Moved to debhelper v5

 -- Craig Small <csmall@debian.org>  Wed, 15 Mar 2006 10:25:55 +1100

psmisc (22.1-1) unstable; urgency=low

  * New upstream release
  *  Updated German PO file Closes: #313934
  *  fuser -s flag works Closes: #344901
  *  fixed grep lines in Makefile for i386 arches Closes: #344172

 -- Craig Small <csmall@debian.org>  Thu, 12 Jan 2006 19:01:13 +1100

psmisc (21.9-1) unstable; urgency=low

  * New upstream release
  *  Fixed segfault in pstree -a Closes: #338108
  *  fuser finds unix sockets. Closes: #338868
  *  fixed print_matches to only print unmatched objects if -a is specified
     and to output the header for -v Closes: #342765
  *  Fixed sv.po Closes: #337528

 -- Craig Small <csmall@debian.org>  Fri, 16 Dec 2005 23:16:29 +1100

psmisc (21.8-1) unstable; urgency=low

  * New upstream release
  *  new fuser Closes: #312560
  *  pstree checks for a real tty Closes: #326500
  *  pstree shows child threads with {commandname} Closes: #230924
  *  Added warning about fuser and tcp/udp access Closes: #327813
  *  pstree defaults to ASCII not VT100 until problems with terminals
     are fixed Closes: #288856
  *  fuser doesnt complain if it cannot scan some mount points Closes: #299153
  *  menu entry capitalised Closes: #320616
  * upgrade standards to 3.6.2
  * fuser.1 spells behavior correctly Closes: #337190
  * 21.7 not released, fuser return value bug. Closes: #337591

 -- Craig Small <csmall@debian.org>  Sat,  5 Nov 2005 15:58:27 +1100

psmisc (21.6-1) unstable; urgency=low

  * New upstream release
    - killall aborts if it gets unknown flags Closes: #250794
    - Symbolic link created properly for pstree.x11 Closes: #250096
    - Strange mount points handled better Closes: #178972
    - Warning in killall.1 about process changing names Closes: #187941
    - Fixed groff madness with fuser(1) Debian #298199
  * changed rules to permit cross-build Closes: #284589
  * menu entry now uses text for .x11 and vc for plain pstree

 -- Craig Small <csmall@debian.org>  Fri, 11 Mar 2005 21:53:10 +1100

psmisc (21.5-1) unstable; urgency=low

  * New upstream release
    - Lines not truncated with UTF-8 Closes: #151523
    - pstree uses ASCII chars with -A Closes: #240973
    - signames.h not distributed in tar Closes: #240986
    - Manual pages explains -SIG is ignored with no -k Closes: #222935

 -- Craig Small <csmall@debian.org>  Tue, 25 May 2004 11:23:07 +1000

psmisc (21.4-1) unstable; urgency=low

  * New upstream release
    - Typos in killall.1 fixed Closes Debian: #198189
    - fuser -ki now tells user default is N Closes Debian: #197356
    - pstree -a doesn't print space at end of line Closes Debian: #182099
    - pstree.x11 now just pstree with a trick Closes Debian: #201042
    - Icons for pstree, thankyou Tatlin! Closes Debian: #192636
    - Removed message if no processes found and excess blanks removed
      Closes: #212795

 -- Craig Small <csmall@debian.org>  Fri, 28 Nov 2003 23:06:45 +1100

psmisc (21.3-1) unstable; urgency=low

  * New upstream version
    - SELinux uses -d flag, so signals starting with S work
      Closes: #19370, #163360
    - Long command lines don't segfault Closes: #187241
  * Added most of Torsten SELINUX patch Closes:  #192122
  * Menu item doesn have path to x-terminal-emulator Closes: #129232


 -- Craig Small <csmall@debian.org>  Thu, 29 May 2003 10:03:39 +1000

psmisc (21.2-1) unstable; urgency=high

  * Fixes serious bug in pstree where pstree -a doesnt have a variable
    set

 -- Craig Small <csmall@debian.org>  Fri, 27 Sep 2002 21:34:23 +1000

psmisc (21.1-1) unstable; urgency=low

  * New upstream version
     - config.guess and config.sub fixes
     - pstree -a extra bracket problem fixed, Closes: #96791
     - LFS support Closes: #129157, #156017
     - fuser -k return means no Closes: #152524
     - UTF8 problem fixed Closes: #140960
     - Works on Hurd (I think, no replies from Hurd folk) Closes: #157064
     - Minor change to killall.1 for less ambiguous Closes: #127851

 -- Craig Small <csmall@debian.org>  Thu, 26 Sep 2002 10:12:59 +1000

psmisc (21-3) unstable; urgency=low

  * build-depends needs gettext otherwise conflicts happen Closes:
    #147131

 -- Craig Small <csmall@eye-net.com.au>  Fri, 17 May 2002 11:21:41 +1000

psmisc (21-2) unstable; urgency=low

  * New config.guess/sub Closes: #147082

 -- Craig Small <csmall@eye-net.com.au>  Thu, 16 May 2002 08:41:24 +1000

psmisc (21-1) unstable; urgency=low

  * New upstream source
    - Fixes signal name problem Closes: #131839

 -- Craig Small <csmall@eye-net.com.au>  Wed, 15 May 2002 22:12:16 +1000

psmisc (20.2-2) unstable; urgency=low

  * Makefile did not clean signames.h which gave bad signal numbers
    Closes: #116172
  * Changed section field for FTP Cabal Closes: #116168

 -- Craig Small <csmall@eye-net.com.au>  Fri, 19 Oct 2001 10:42:23 +1000

psmisc (20.2-1) unstable; urgency=low

  * New upstream source
     - pstree -u fix Closes: #98803
     - fuser -n tcp works for kernel2.4.12 Closes: #115672
     - typo fixed in pidof.1 Closes: #110789
  * Do not install pidof.1 Closes: #107461

 -- Craig Small <csmall@eye-net.com.au>  Thu, 18 Oct 2001 10:22:20 +1000

psmisc (20.1-1) unstable; urgency=low

  * New upstream version
    - killall -# works again, Closes: #90742, #92044, #92087

 -- Craig Small <csmall@debian.org>  Sat, 31 Mar 2001 21:17:18 +1000

psmisc (20-1) unstable; urgency=low

  * New upstream version
    - getopt used on command line, Closes #48541
    - Less assumption of cmd line, Closes #53337
    - Doesn't use losetup Closes: #58714


 -- Craig Small <csmall@debian.org>  Mon, 19 Mar 2001 14:21:00 +1100

psmisc (19-3) unstable; urgency=low

  * New standards version
  * Added menu hints Closes: #80045
  * Changed call from xterm to x-terminal emulator Closes: #59009

 -- Craig Small <csmall@debian.org>  Sun, 31 Dec 2000 17:27:30 +1100

psmisc (19-2) unstable; urgency=low

  * Group transistions properly handled Closes: #47475
  * pstree no longer truncates Closes: #53943
  * Compile with -O2 to follow standard.

 -- Craig Small <csmall@debian.org>  Tue,  4 Jan 2000 10:27:33 +1100

psmisc (19-1) unstable; urgency=low

  * New upstream Version Closes: #50813

 -- Craig Small <csmall@debian.org>  Sun,  5 Dec 1999 19:31:17 +1100

psmisc (18-3) unstable; urgency=low

  * Fixes pstree on a X system problem Closes: 45510, 46243
  * Now has all that /usr/share stuff

 -- Craig Small <csmall@debian.org>  Thu, 30 Sep 1999 10:32:06 +1000

psmisc (18-2) unstable; urgency=low

  * Fixed download source Closes: #38436

 -- Craig Small <csmall@debian.org>  Fri, 30 Jul 1999 11:29:06 +1000

psmisc (18-1) unstable; urgency=low

  * New upstream source
  * Doesn't try to print null string for proc names (Bug #23645 )

 -- Craig Small <csmall@debian.org>  Mon,  4 Jan 1999 14:11:32 +1100

psmisc (17-2) unstable; urgency=low

  * Now with ncurses 4
  * Menu item is now in Apps/System (Bug #27439 )
  * X11 version of pstree now waits for return to be pressed (Bug #24102 #17466 )

 -- Craig Small <csmall@debian.org>  Sun,  1 Nov 1998 16:06:13 +1100

psmisc (17-1) unstable; urgency=low

  * New upstream version.

 -- Craig Small <csmall@debian.org>  Wed, 15 Apr 1998 08:50:28 +1000

psmisc (16-2) frozen unstable; urgency=low

  * README.debian explains why pidof is not here. (Bug #16981 )
  * Patched fuser so that it works with new kernels (Bug #17064 )
  * CHANGES renamed to changelog (Bug #17290 )
  * Package now replaces procps <<1.2 (Bug #20394 )
  * Fixed description (Bug #20255 )
 -- Craig Small <csmall@debian.org>  Tue, 17 Mar 1998 09:49:20 +1100

psmisc (16-1) unstable; urgency=low

  * Initial Release.
  * procps upstream source split this off at version 1.2

 -- Craig Small <csmall@debian.org>  Fri,  2 Jan 1998 11:12:00 +1100
